{
 "parent": "item/handheld",
 "textures": {
  "layer0": "item/cookie"
 },

 "overrides": [
  { "predicate": {"custom_model_data": 1}, "model": "custom:item/candy_corn"},
  { "predicate": {"custom_model_data": 10}, "model": "custom:item/ibar"},
  { "predicate": {"custom_model_data": 444451}, "model": "custom:item/idimpy_bar"}
  
  
 ]

 
}